import { State } from "../machine.ts";
import { States } from "./index.ts";

export class PausedState extends State<States> {
  override name: States = States.PAUSED;
  override validTransitions: Set<States> = new Set([
    States.LOAD,
    States.RUNNING,
    States.EDIT_TRACK,
    States.EDIT_TRAIN,
  ]);
  override update(dt: number): void {
    throw new Error("Method not implemented.");
    // TODO
    // Handle input
    // Draw ui
  }
  override start(): void {
    throw new Error("Method not implemented.");
    // TODO
    // Save tracks to cache
    // Save trains to cache
    // Save resources to cache
  }
  override stop(): void {
    throw new Error("Method not implemented.");
    // TODO
    // Do nothing
  }
}
